org.apache.fop.layoutmgr

## Class LMiter

- java.lang.Object
- - org.apache.fop.layoutmgr.LMiter

All Implemented Interfaces:
  Iterator<LayoutManager>, ListIterator<LayoutManager>

Direct Known Subclasses:
  BlockLayoutManager.ProxyLMiter

    public class LMiter
    extends Object
    implements ListIterator<LayoutManager>

An iterator for layout managers.

### Field Summary

Fields
`protected int` `curPos` current position in iteration
`protected List<LayoutManager>` `listLMs` list of layout managers

### Constructor Summary

Constructors
Constructor and Description
`LMiter(LayoutManager lp)` Construct a layout manager iterator.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `add(LayoutManager lm)`
`boolean` `hasNext()`
`boolean` `hasPrevious()`
`LayoutManager` `next()`
`int` `nextIndex()`
`LayoutManager` `previous()`
`int` `previousIndex()`
`void` `remove()`
`void` `set(LayoutManager lm)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

### Field Detail

#### listLMs

    protected List<LayoutManager> listLMs

list of layout managers

#### curPos

    protected int curPos

current position in iteration

### Constructor Detail

#### LMiter

    public LMiter(LayoutManager lp)

Construct a layout manager iterator.

Parameters:
  `lp` - the associated layout manager (parent)

### Method Detail

#### hasNext

    public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<LayoutManager>`
Specified by:
  `hasNext` in interface `ListIterator<LayoutManager>`

#### hasPrevious

    public boolean hasPrevious()

Specified by:
  `hasPrevious` in interface `ListIterator<LayoutManager>`

#### previous

    public LayoutManager previous()
                           throws NoSuchElementException

Specified by:
  `previous` in interface `ListIterator<LayoutManager>`
Throws:
  `NoSuchElementException`

#### next

    public LayoutManager next()
                       throws NoSuchElementException

Specified by:
  `next` in interface `Iterator<LayoutManager>`
Specified by:
  `next` in interface `ListIterator<LayoutManager>`
Throws:
  `NoSuchElementException`

#### remove

    public void remove()
                throws NoSuchElementException

Specified by:
  `remove` in interface `Iterator<LayoutManager>`
Specified by:
  `remove` in interface `ListIterator<LayoutManager>`
Throws:
  `NoSuchElementException`

#### add

    public void add(LayoutManager lm)
             throws UnsupportedOperationException

Specified by:
  `add` in interface `ListIterator<LayoutManager>`
Throws:
  `UnsupportedOperationException`

#### set

    public void set(LayoutManager lm)
             throws UnsupportedOperationException

Specified by:
  `set` in interface `ListIterator<LayoutManager>`
Throws:
  `UnsupportedOperationException`

#### nextIndex

    public int nextIndex()

Specified by:
  `nextIndex` in interface `ListIterator<LayoutManager>`

#### previousIndex

    public int previousIndex()

Specified by:
  `previousIndex` in interface `ListIterator<LayoutManager>`